Need help with coinbase-pro-trading-toolkit?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

coinbase
818 Stars 241 Forks Apache License 2.0 301 Commits 0 Opened issues

Description

DEPRECATED — The Coinbase Pro trading toolkit

Services available

!
?

Need anything else?

Contributors list

Coinbase Pro Trading toolkit

CircleCI <!-- ⛔️ AUTO-GENERATED-CONTENT:START (VERSIONBADGE) --> npm <!-- ⛔️ AUTO-GENERATED-CONTENT:END -->

Note: The

gdax-trading-toolkit
package is deprecated and might have to be removed from NPM. Please migrate to the
coinbase-pro-trading-toolkit
package to ensure future compatibility.

Provide all the tools traders need, both professional and hobbyist alike, to create automated trading bots on the Coinbase Pro and supported digital asset exchanges. Note: Node 7.6 or above is required.

Recommended: * Node 9.4 or above * Typescript 2.7

Install

yarn add coinbase-pro-trading-toolkit

Test

Run the included test suite with the command

yarn test

Run

The

src/samples
folder contains many working demo scripts showcasing different aspects of the toolkit, while the
tutorials
folder contains running demo programs to accompany the CBPTT documentation.

Documentation

The CBPTT documentation contains blogs, reference material and step-by-step tutorials

Disclaimer

This software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and non-infringement. In no event shall the authors, copyright holders, or Coinbase Inc. be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with the software or the use or other dealings in the software.

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.